package art.soft.level;

import art.soft.Loader;
import art.soft.objects.StaticObj;
import art.soft.objsData.ObjData;
import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.IOException;
import java.util.ArrayList;

/**
 *
 * @author Артём Святоха
 */
public class bulletPos {

    public boolean flipY = false;

    public int x, y;

    public ObjData data;

    public void readBulletPos(DataInputStream dis, ObjData bullets[]) throws IOException {
        flipY = dis.readBoolean();
        x = dis.readShort();
        y = dis.readShort();
        data = bullets[dis.readUnsignedByte()];
    }

    public LayerObj addObj(Loader loader, StaticObj owner, Layer layer) {
        StaticObj obj = (StaticObj) loader.getObjTyped(data.typeObj);
        if (obj != null) {
            obj.init(loader, data, null);
            obj.setFlipY(flipY);
            obj.setPos(owner.x + (owner.isFlipX() ? - x : x), owner.y + (owner.isFlipY() ? - y : y));
            if (owner.isFlipX()) obj.setFlipX(!obj.isFlipX());
            if (owner.isFlipY()) obj.setFlipY(!obj.isFlipY());
            layer.add(obj);
        } else
            loader.game.log("Cann't create object " + data.typeObj);
        return obj;
    }
}
