package art.soft.model;

import java.awt.Color;
import java.awt.Graphics;

/**
 *
 * @author Артём Святоха
 */
public class Polygon {

    private Color color;
    short verts[];

    Polygon() {}

    public Polygon(int color) {
        this.color = new Color(color, true);
    }

    public void reset(){}

    public void draw(Graphics g, int x, int y, float zoom, Model model, int xLay, int yLay) {
        g.setColor(color);
        int n = verts.length;
        float z;
        int indx;
        for (int i = n - 1; i >= 0; i --) {
            indx = (int) verts[i] & 0xFFFF;
            z = model.z[indx] * zoom;
            Model.xPoly[i] = (int) ((model.x[indx] + x) * z) + xLay;
            Model.yPoly[i] = (int) ((model.y[indx] + y) * z) + yLay;
        }
        if (n > 2) {
            g.fillPolygon(Model.xPoly, Model.yPoly, n);
        } else
        if (n == 2) {
            g.drawLine(Model.xPoly[0], Model.yPoly[0], Model.xPoly[1], Model.yPoly[1]);
        } else {
            g.fillRect(Model.xPoly[0], Model.yPoly[0], 1, 1);
        }
    }
}
