package art.soft.model;

import art.soft.Loader;
import art.soft.animation.AnimSet;
import art.soft.animation.Animation;
import java.awt.Graphics;

/**
 *
 * @author Артём Святоха
 */
public class Texture extends Polygon {

    private final Animation animation;
    private final int vert;
    private final float paralaxX;

    public Texture(Loader loader, AnimSet set, int frame, int vert, float paralax) {
        animation = loader.getAnimation();
        animation.setAnimAndSet(set, frame);
        this.vert = vert;
        paralaxX = paralax;
    }

    @Override
    public void reset(){
        animation.reset();
    }

    @Override
    public void draw(Graphics g, int x, int y, float zoom, Model model, int xLay, int yLay) {
        animation.incAnim(true);
        x = (int) ((model.x[vert] + x) * paralaxX * zoom) + xLay;
        y = (int) ((model.y[vert] + y) * model.z[vert] * zoom) + yLay;
        animation.play(g, x, y);
    }
}
