package art.soft.objsData;

import art.soft.level.bulletPos;
import java.io.DataInputStream;
import java.io.IOException;

/**
 *
 * @author Артём Святоха
 */
public class FrameData {

    public int form;
    
    public int count = 0;

    public int next = -1;
    
    public short anims[];

    public DamageRegion dmgRegs[];

    public bulletPos bullets[];

    public void readFrame(DataInputStream dis, ObjData bulls[]) throws IOException {
        form = dis.readUnsignedByte();
        count = dis.readUnsignedShort();
        next = dis.readUnsignedShort();
        //
        int i;
        int n = dis.readUnsignedByte();
        anims = new short[n];
        for (i = 0; i < n; i ++) {
            anims[i] = dis.readShort();
        }
        //
        n = dis.readUnsignedByte();
        if (n != 0) {
            dmgRegs = new DamageRegion[n];
            for (i = 0; i < n; i ++) {
                dmgRegs[i] = new DamageRegion();
                dmgRegs[i].readDmgReg(dis);
            }
        }
        //
        n = dis.readUnsignedByte();
        if (n != 0) {
            bullets = new bulletPos[n];
            for (i = 0; i < n; i ++) {
                bullets[i] = new bulletPos();
                bullets[i].readBulletPos(dis, bulls);
            }
        }
    }
}
