package art.soft.objsData;

import art.soft.Loader;
import art.soft.animation.AnimSet;
import art.soft.objects.InteractiveObj;
import java.io.DataInputStream;
import java.io.IOException;

/**
 *
 * @author Артём Святоха
 */
public class MultiData extends ObjData {

    public AnimSet animsData[];

    public Static forms[];
    
    public FrameData frames[];

    public int startFrame, startStatus, deathStatus;

    public short frameStatus[];

    public MultiData() {
        typeObj = InteractiveObj.class;
    }

    @Override
    protected void readData(Loader loader, DataInputStream dis) throws IOException {
        super.readData(loader, dis);
        int i;
        int n = dis.readUnsignedByte();
        animsData = new AnimSet[n];
        for (i = 0; i < n; i ++) {
            animsData[i] = loader.loadAnimation(dis.readUTF());
        }
        //
        n = dis.readUnsignedByte();
        forms = new Static[n];
        for (i = 0; i < n; i ++) {
            forms[i] = new Static();
            forms[i].readData(loader, dis);
        }
        //
        n = dis.readUnsignedByte();
        ObjData bullets[] = new ObjData[n];
        for (i = 0; i < n; i ++) {
            bullets[i] = loader.engine.getObj(dis.readUTF());
        }
        //
        n = dis.readUnsignedShort();
        frames = new FrameData[n];
        for (i = 0; i < n; i ++) {
            frames[i] = new FrameData();
            frames[i].readFrame(dis, bullets);
        }
        //
        startFrame = dis.readUnsignedShort();
        startStatus = dis.readUnsignedShort();
        deathStatus = dis.readUnsignedShort();
        //
        n = dis.readUnsignedShort();
        frameStatus = new short[n];
        for (i = 0; i < n; i ++) {
            frameStatus[i] = dis.readShort();
        }
    }

    @Override
    public void remove() {
        if (forms != null) {
            for (Static form : forms) {
                form.remove();
            }
        }
    }    
}
