package art.soft.objsData;

import art.soft.Loader;
import art.soft.animation.AnimSet;
import art.soft.objects.UnitObj;
import java.io.DataInputStream;
import java.io.IOException;

/**
 *
 * @author Артём Святоха
 */
public class UnitData extends ObjData {

    public String setName;

    public AnimSet animsData[];

    public Dynamic forms[];

    public FrameData frames[];

    public int inAirStatus = 13;

    public int startFrame, startStatus, deathStatus;

    public float jumpX, jumpY;

    public short frameStatus[];

    public float[] forceX, forceY;

    public UnitData() {
        typeObj = UnitObj.class;
    }

    @Override
    protected void readData(Loader loader, DataInputStream dis) throws IOException {
        super.readData(loader, dis);
        setName = dis.readUTF();
        if (setName.length() == 0) setName = null;
        //
        int i;
        int n = dis.readUnsignedByte();
        animsData = new AnimSet[n];
        for (i = 0; i < n; i ++) {
            animsData[i] = loader.loadAnimation(dis.readUTF());
        }
        //
        n = dis.readUnsignedByte();
        forms = new Dynamic[n];
        for (i = 0; i < n; i ++) {
            forms[i] = new Dynamic();
            forms[i].readData(loader, dis);
        }
        //
        n = dis.readUnsignedByte();
        ObjData bullets[] = new ObjData[n];
        for (i = 0; i < n; i ++) {
            bullets[i] = loader.engine.getObj(dis.readUTF());
        }
        //
        n = dis.readUnsignedShort();
        frames = new FrameData[n];
        for (i = 0; i < n; i ++) {
            frames[i] = new FrameData();
            frames[i].readFrame(dis, bullets);
        }
        //
        inAirStatus = dis.readUnsignedShort();
        startFrame = dis.readUnsignedShort();
        startStatus = dis.readUnsignedShort();
        deathStatus = dis.readUnsignedShort();
        jumpX = dis.readFloat();
        jumpY = dis.readFloat();
        //
        n = dis.readUnsignedShort();
        frameStatus = new short[n];
        for (i = 0; i < n; i ++) {
            frameStatus[i] = dis.readShort();
        }
        //
        n = dis.readUnsignedShort();
        forceX = new float[n];
        forceY = new float[n];
        for (i = 0; i < n; i ++) {
            forceX[i] = dis.readFloat();
            forceY[i] = dis.readFloat();
        }
    }

    @Override
    public void remove() {
        for (AnimSet anim : animsData) {
            anim.remove(loader);
        }
    }
}
